#!/bin/sh

source /home/admin/.bashrc

function list_dir() {
    path=$1
    pu ls $path 2>/dev/null | awk -F'/' '{print $1}'
}

function file_count() {
    path=$1
    list_dir $path | wc -l
}

threshold=$1
if [ "$threshold"x == "x" ]; then
    threshold=10000
fi

ots_path="apsara/sqlonline-OTS/OTSPublicDB/Data"
for root_id in `list_dir $ots_path`; do
    root_path=$ots_path/$root_id
    for tid in `list_dir $root_path`; do
        tid_path=$root_path/$tid/Table
        for part in `list_dir $tid_path`; do
            part_path=$tid_path/$part/OTSDefaultLG
            count=$(file_count $part_path)
            if [ $count -gt $threshold ]; then
                echo "$root_id $tid $part $count"
            fi
        done
    done
done
