#!/bin/sh

source /home/admin/.bashrc

# get root tids
sql gpss | sed 1d | awk '{print $1}' > parts

rm -f failed_split_parts failed_merge_parts to_compact_parts
for part in `cat parts`; do
    echo "start handle $part"
    lines=`sql "split $part" | tee split_results | wc -l`
    if [ $lines -ne 2 ]; then
        echo "failed to split $part"
        echo $part >> failed_split_parts
    else
        pair=`cat split_results | sed -n 2p | awk '{print $2" "$3}'`
        echo "split results is $pair, start to merge"
        lines=`sql "merge $pair" | tee merge_results | wc -l`
        echo "merge $pair lines $lines"
        if [ $lines -ne 2 ]; then
            echo "failed to merge $pair"
            echo $pair >> failed_merge_parts
        else
            mp=`cat merge_results | sed -n 2p | awk -F':' '{print $2}'`
            echo "success to change $part to $mp"
            echo $mp >> to_compact_parts
        fi
    fi
done
